Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 981822 - F19 Anaconda Kickstart "Chokes" on Flash Drives
Summary: F19 Anaconda Kickstart "Chokes" on Flash Drives
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 19
Hardware: i386
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-06 02:15 UTC by Guido
Modified: 2013-07-23 12:28 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-23 12:28:25 UTC


Attachments (Terms of Use)

Description Guido 2013-07-06 02:15:19 UTC
With F18 using netinst cd, I could use my ks.cfg to install to any partition on either my HD (a SSD) or any usb flash drive plugged in. No problems whatsoever.

Now, with F19 netinst cd, merely having a usb flash drive present in a socket, rapidly causes a complete system halt, dropping to a dracut prompt. This occurs even though, I am installing to sdaX, not the flash drive. If I physically remove any external drives, then I can proceed normally.

The official error is "cannot mount squashfs.img ... /dev/loop0", which has nothing to do with usb flash media.

PS I'm experiencing numerous other minor annoyances in this F18 -> F19 transition. One of note, is the F19 kickstart options documentation has some (many) errors | omissions. It's very time consuming to go thru the cut & try loop sorting this out. Somebody on the Fedora Team needs to critically proofread those docs.

PPS My kickstart is extremely simple, no lvm, raid, etc; just plain old fixed size ext4 partitions.

Comment 1 David Shea 2013-07-22 16:05:50 UTC
When dracut drops to the emergency shell, is there a report generated in /run/initramfs/sosreport.txt? If so, can you attach it to this bug?

Comment 2 Guido 2013-07-22 23:59:44 UTC
In a fit of impatience (ie, rage), I replaced (discarded) all my USB 2.0 FDs with USB 3.0. There are now no problems here!

I should have saved the sosreport.txt file, ...sorry.

But, there definitely is a USB 2.0 problem. We'll need to wait for someone else to complain.

Comment 3 David Shea 2013-07-23 12:28:25 UTC
Ok. It sounds like it might have been an issue with dracut finding the DVD drive during boot, so maybe something similar to whatever's going on in 969076.


Note You need to log in before you can comment on or make changes to this bug.